PaidGoods
API referenceCustomer operations

Find orders by reference, buyer or exact serial

GET
/v1/stores/{storeId}/search/orders

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

q*string
Length1 <= length <= 500

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/search/orders?q=string"
{  "orders": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": -9007199254740991,      "uniqueId": "string",      "email": "string",      "status": "string",      "totalMinor": -9007199254740991,      "currency": "string",      "items": [        {          "name": "string",          "variant": "string",          "qty": -9007199254740991        }      ],      "createdAt": "string"    }  ],  "serialMatch": {    "serialId": "b56fea1b-677a-44de-99e1-c6d3cc2a5c4b",    "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",    "orderLineId": "3bba51e3-a0c1-4b14-a700-b2d3b8ed156d",    "orderNumber": -9007199254740991,    "email": "string",    "state": "string",    "issuedAt": "string"  }}